import Vue from 'vue'
import App from './App.vue'
import router from "./router";
import Antd from 'ant-design-vue'
import store from './store'
import i18n from './locales';
import 'moment/locale/zh-cn'
import 'ant-design-vue/dist/antd.less';
import "@/styles/index.scss"; //样式 by zqs
import "@/styles/index.less";
import '@/assets/fonts/css/font.css';
import "./icons";
import "@/icons/ali-icons/iconfont.css";
import "@/icons/3rd-icons/style.css";



// 引入api
import { api, download } from './providers/http';
Vue.prototype.$api = api;
Vue.prototype.download = download;
import AntSpinDot from "@/components/AntSpinDot";
Vue.component('AntSpinDot', AntSpinDot);

import Loading from 'vue-loading-overlay';
import 'vue-loading-overlay/dist/vue-loading.css';
Vue.use(Loading);

Vue.use(Antd)
Vue.config.productionTip = false

// 提交审批
import SnakerFlowDesigner from "./components/SnakerFlowDesigner/src/snakerflow";
Vue.component("SnakerFlowDesigner", SnakerFlowDesigner);

//表格拖拽
import './styles/aTableColumnsDraggable.less';
import VueDraggableResizable from 'vue-draggable-resizable';
Vue.component('vue-draggable-resizable', VueDraggableResizable);

// 树结构
import {
  Cascader,
  Layout,
  Upload,
  Tabs,
  Button,
  Row,
  Col,
  DatePicker,
  Table,
  Form,
  Input,
  Icon,
  Menu,
  Dropdown,
  Card,
  Tree,
  Drawer,
  Select,
  Modal,
  Collapse,
  Affix,
  TreeSelect,
  Comment,
  List,
  Pagination,
  Result,
  Transfer,
  Space,
  Timeline
} from 'ant-design-vue';
Vue.use(Cascader)
    .use(Layout)
    .use(Upload)
    .use(Tabs)
    .use(Button)
    .use(Row)
    .use(Col)
    .use(DatePicker)
    .use(Table)
    .use(Form)
    .use(Input)
    .use(Icon)
    .use(Menu)
    .use(Dropdown)
    .use(Tree)
    .use(Card)
    .use(Drawer)
    .use(Tabs)
    .use(Select)
    .use(Collapse)
    .use(Modal)
    .use(TreeSelect)
    .use(Comment)
    .use(List)
    .use(Pagination)
    .use(Result)
    .use(Transfer)
    .use(Space)
    .use(Timeline);

new Vue({
  router,
  store,
  i18n,
  render: h => h(App),
}).$mount('#app')
